/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author gleimar
 */
@Entity
@Table(name = "SEGURO_KM")
public class SeguroKm implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "SEGUROKM_ID")
    private Integer segurokmId;
    @Column(name = "KMATE")
    private Integer kmate;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "VALORTAXA")
    private BigDecimal valortaxa;
    @JoinColumn(name = "ORGAOCONCEDENTE_ID", referencedColumnName = "ORGAOCONCEDENTE_ID")
    @ManyToOne
    private OrgaoConcedente orgaoconcedenteId;

    public SeguroKm() {
    }

    public SeguroKm(Integer segurokmId) {
        this.segurokmId = segurokmId;
    }

    public Integer getSegurokmId() {
        return segurokmId;
    }

    public void setSegurokmId(Integer segurokmId) {
        this.segurokmId = segurokmId;
    }

    public Integer getKmate() {
        return kmate;
    }

    public void setKmate(Integer kmate) {
        this.kmate = kmate;
    }

    public BigDecimal getValortaxa() {
        return valortaxa;
    }

    public void setValortaxa(BigDecimal valortaxa) {
        this.valortaxa = valortaxa;
    }

    public OrgaoConcedente getOrgaoconcedenteId() {
        return orgaoconcedenteId;
    }

    public void setOrgaoconcedenteId(OrgaoConcedente orgaoconcedenteId) {
        this.orgaoconcedenteId = orgaoconcedenteId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (segurokmId != null ? segurokmId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof SeguroKm)) {
            return false;
        }
        SeguroKm other = (SeguroKm) object;
        if ((this.segurokmId == null && other.segurokmId != null) || (this.segurokmId != null && !this.segurokmId.equals(other.segurokmId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.SeguroKm[ segurokmId=" + segurokmId + " ]";
    }
    
}
