package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface SeguroService {

	/**
	 * Atualiza o seguro de acordo a kilometragem do trecho
	 * 
	 * @param rutaId - Se informado, ser filtrado pela ruta
	 * @param orgaoId -Campo obrigatrio
	 */
	public void atualizarSeguroPorKm(Integer rutaId,Integer orgaoId) throws BusinessException;
	
}
