package com.rjconsultores.ventaboletos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TaxaEmbarqueDAO;
import com.rjconsultores.ventaboletos.service.TaxaEmbarqueService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("taxaEmbarqueService")
public class TaxaEmbarqueServiceImpl implements TaxaEmbarqueService{
	@Autowired
	private TaxaEmbarqueDAO taxaEmbarqueDAO;
	
	@Override
	@Transactional
	public void atualizarTaxaEmbarque(Integer rutaId, Integer orgaoConcedenteId) {
		taxaEmbarqueDAO.atualizarTaxaEmbarque(rutaId, UsuarioLogado.getUsuarioLogado().getUsuarioId(), orgaoConcedenteId);
	}

}
