package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.VigenciaTarifa;
import com.rjconsultores.ventaboletos.service.TarifaOficialService;


public interface TarifaOficialDAO {
	/**
	 * See {@link TarifaOficialService#gerarTarifaPorCoeficiente(Integer)}
	 * @param ruta
	 * @param usuarioId TODO
	 * @param orgaoConcedenteId TODO
	 * @return TODO
	 */
	public Integer gerarTarifaPorCoeficiente(Integer ruta, Integer usuarioId, Integer orgaoConcedenteId);
	
	/**
	 * See {@link TarifaOficialService#atualizarTarifaPorCoeficiente(Integer)}
	 * @param rutaId
	 * @param usuarioId TODO
	 * @param orgaoConcedenteId TODO
	 * @return TODO
	 */
	public Integer atualizarTarifaCoeficiente(Integer rutaId, Integer usuarioId, Integer orgaoConcedenteId);
	
	/**
	 * See {@link TarifaOficialService#copiarParaTarifa(VigenciaTarifa)}
	 * @param vigenciaTarifa
	 * @param usuarioId TODO
	 */
	public void copiarParaTarifa(VigenciaTarifa vigenciaTarifa, Integer usuarioId);
}
